; charset=UTF-8
Last-Modified: Sun, 09 Feb 2025 23:02:32 GMT
Expires: Wed, 07 Feb 2035 23:02:32 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>torxchat.git - Unnamed repository; edit this file 'description' to name the repository.</title>
<meta name='generator' content='cgit 1.4.1'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/git-repos/cgit.css'/>
<link rel='alternate' title='Atom feed' href='http://soniex2.autistic.space/git-repos/torxchat.git/atom/?h=feature/fork-branding' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/git-repos/'><img src='/git-repos/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/git-repos/'>index</a> : <a href='/git-repos/torxchat.git/'>torxchat.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='c4c1c64f0058794cb26922dc88010fbf3d8e2bfa'/><select name='h' onchange='this.form.submit();'>
<option value='e5696dfc989daeaa3bc091e36781d90a8bbce441'>this commit</option>
<optgroup label='branches'><option value='branch-info'>branch-info</option>
<option value='default'>default</option>
<option value='fe-web'>fe-web</option>
<option value='feature/flexible-cert'>feature/flexible-cert</option>
<option value='feature/fork-branding' selected='selected'>feature/fork-branding</option>
<option value='feature/tls-srp'>feature/tls-srp</option>
<option value='feature/tor-i2p-dcc'>feature/tor-i2p-dcc</option>
<option value='fix-ub'>fix-ub</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Unnamed repository; edit this file 'description' to name the repository.</td><td class='sub right'>blog</td></tr></table>
<table class='tabs'><tr><td>
<a href='/git-repos/torxchat.git/?h=feature/fork-branding'>summary</a> <a href='/git-repos/torxchat.git/refs/?h=feature/fork-branding&amp;id=c4c1c64f0058794cb26922dc88010fbf3d8e2bfa'>refs</a> <a class='active' href='/git-repos/torxchat.git/log/?h=feature/fork-branding'>log</a> <a href='/git-repos/torxchat.git/tree/?h=feature/fork-branding&amp;id=c4c1c64f0058794cb26922dc88010fbf3d8e2bfa'>tree</a> <a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=c4c1c64f0058794cb26922dc88010fbf3d8e2bfa'>commit</a> <a href='/git-repos/torxchat.git/diff/?h=feature/fork-branding&amp;id=c4c1c64f0058794cb26922dc88010fbf3d8e2bfa'>diff</a> <a href='/git-repos/torxchat.git/stats/?h=feature/fork-branding'>stats</a></td><td class='form'><form class='right' method='get' action='/git-repos/torxchat.git/log/'>
<input type='hidden' name='h' value='feature/fork-branding'/><input type='hidden' name='id' value='c4c1c64f0058794cb26922dc88010fbf3d8e2bfa'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/git-repos/torxchat.git/log/?h=feature/fork-branding&amp;id=c4c1c64f0058794cb26922dc88010fbf3d8e2bfa&amp;ofs=200&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2014-12-31 10:24:51 -0500'>2014-12-31</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=1fa4a000e7e1855e1d99bd6fbbb8067df8e90839'>Fix some unused warnings</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-31 09:50:03 -0500'>2014-12-31</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=448cc962cd019adc31e28eb4f96d3b1fad5d6efc'>Python: Fix overflow and code-cleanup</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-31 03:56:36 -0500'>2014-12-31</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=6ef72988704ff7f7f0bf875b1bb86f4c241b6a29'>Remove unnecessary use of void*</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-31 03:56:36 -0500'>2014-12-31</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=9f7444baa2001616f227ba9a442be824a57e56b9'>Move userlist sorting to frontend</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-30 06:35:42 -0500'>2014-12-30</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=fef580ed7faaba17e2c8fea504b8587850502220'>Rewrite identd</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-29 02:08:42 -0500'>2014-12-29</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=3bb717a3b58240209df8275a9a64ee77516f531a'>Fix windows build</a></td><td>Ti<style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;application&gt;
	&lt;id type=&quot;desktop&quot;&gt;hexchat.desktop&lt;/id&gt;
	&lt;licence&gt;CC0&lt;/licence&gt;
	&lt;description&gt;
		&lt;_p&gt;HexChat is an easy to use yet extensible IRC Client. It allows you to securely join multiple networks and talk to users privately or in channels using a customizable interface. You can even transfer files.&lt;/_p&gt;
		&lt;_p&gt;HexChat supports features such as: DCC, SASL, proxies, spellcheck, alerts, logging, custom themes, and Python/Perl scripts.&lt;/_p&gt;
	&lt;/description&gt;
	&lt;url type=&quot;homepage&quot;&gt;http://hexchat.github.io&lt;/url&gt;
	&lt;screenshots&gt;
		&lt;screenshot type=&quot;default&quot;&gt;http://i.imgur.com/XBbQKXf.png&lt;/screenshot&gt;
	&lt;/screenshots&gt;
	&lt;updatecontact&gt;tingping_at_fedoraproject.org&lt;/updatecontact&gt;
&lt;/application&gt;
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-02-09 23:02:32 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
>2014-12-15</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=94568bc5179b5e04354eaf2b40d36e0c53bf9405'>checksum: Use glib for io/checksum and misc fixes</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-14 19:35:27 -0500'>2014-12-14</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=226d54c90d604b5c085fe0e0206dd3f1e8decf2a'>Fix use after free</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-14 18:20:50 -0500'>2014-12-14</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=7e4c482737b508f376d8e055268833d28f61d855'>travis: Build with static analysis</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-14 13:31:19 -0800'>2014-12-14</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=ac01ba9cb0aec33653274b14ee53b374da8db577'>perl: Fixed warning about implicitly casting the time_t returned from hexchat...</a></td><td>Arnavion</td></tr>
<tr><td><span title='2014-12-11 14:17:12 -0500'>2014-12-11</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=a537fa3ca7cc7510f74d2a72964f5c9b99ec8beb'>sysinfo: Simplify remove_leading_whitespace()</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-11 13:49:37 -0500'>2014-12-11</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=f614a3c311f78dceceaa96112a4453746cf622a9'>Fix possible overflow when using /menu</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-11 12:13:57 -0500'>2014-12-11</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=d6e3f740bc93e6bf472d165f5a7c5e8b69be1a8b'>Fix some leaks</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-11 10:05:05 -0500'>2014-12-11</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=72f82d096c05dc97b26f9ca30093343161dc4444'>Fix some warnings in xsys</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-10 15:09:04 -0500'>2014-12-10</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=74ff67acd3a51253c4941bc7322af346d408f47b'>Create configuration option to control middle click tab close.</a></td><td>md_5</td></tr>
<tr><td><span title='2014-12-10 14:40:42 -0500'>2014-12-10</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=6aafc8e51d17f0bd92f1ec46567a5b1597e7e799'>Fix chanopts not saving if /quit before exit</a></td><td>leeter</td></tr>
<tr><td><span title='2014-12-10 09:32:16 -0500'>2014-12-10</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=10246f121a9dfb1fe38012aa92324ac6050822a2'>Fix unsafe string handling in configs</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-10 09:00:29 -0500'>2014-12-10</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=025152ee53b56861e9738b2218743af28c5f1e45'>Fix unused warning</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-10 09:00:04 -0500'>2014-12-10</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=58e871696b36f0ca15e399292abc9ec40a3246e7'>Fix typo</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-09 23:03:44 -0500'>2014-12-09</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=0ba8b922a2f2b2cbc51bc09906ac6e71f804b275'>Fix tab completing with no completion char</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-09 05:45:50 -0500'>2014-12-09</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=b2968395381a96d9616b139016574ed2a6d8ed09'>Respect servers chantypes and nickprefixes when tab completing</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-09 05:45:01 -0500'>2014-12-09</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=5fb21a04ad4a580115896ae28a762569516c120a'>Use gboolean for bools</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-09 05:30:35 -0500'>2014-12-09</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=fda692d250dbb65f1305ad054d4c7e61b5d67756'>Fix various unsafe string handling in fkeys</a></td><td>TingPing</td></tr>
<tr><td><span title='2014-12-08 21:30:02 -0800'>2014-12-08</span></td><td><a href='/git-repos/torxchat.git/commit/?h=feature/fork-branding&amp;id=99a1fff5908c67b534aa26c0e6e47b2d09c368a5'>Removed unused hexchat_filename_*_utf8 macros.</a></td><td>Arnavion</td></tr>
</table><ul class='pager'><li><a href='/git-repos/torxchat.git/log/?h=feature/fork-branding&amp;id=c4c1c64f0058794cb26922dc88010fbf3d8e2bfa&amp;ofs=150'>[prev]</a></li><li><a href='/git-repos/torxchat.git/log/?h=feature/fork-branding&amp;id=c4c1c64f0058794cb26922dc88010fbf3d8e2bfa&amp;ofs=250'>[next]</a></li></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-02-09 23:02:32 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
